# build/parseChangelog.c File Reference

Parse changelog section from spec file. More...

`#include "system.h"`
`#include "rpmbuild.h"`
`#include "debug.h"`

Go to the source code of this file.

## Functions

void | addChangelogEntry (Header h, time_t time, const char *name, const char *text)
int | dateToTimet (const char *datestr, time_t *secs)
| Parse date string to seconds.
int | addChangelog (Header h, StringBuf sb)
| Add changelog section to header.
int | parseChangelog (Spec spec)

## Detailed Description

Parse changelog section from spec file.

Definition in file parseChangelog.c.

## Function Documentation

int addChangelog | ( | Header | h,
|  | StringBuf | sb
| ) | `[static]`

Add changelog section to header.

Parameters:

  h | header
  sb | changelog strings

Returns:
  0 on success

Definition at line 108 of file parseChangelog.c.

References _, addChangelogEntry(), dateToTimet(), getStringBuf(), Header, RPMERR_BADSPEC, rpmError, SKIPNONSPACE, SKIPSPACE, StringBuf, and xisspace().

Referenced by parseChangelog().

int dateToTimet | ( | const char * | datestr,
|  | time_t * | secs
| ) | `[static]`

Parse date string to seconds.

Parameters:

  datestr | date string (e.g. 'Wed Jan 1 1997')

Return values:

  secs | secs since the unix epoch

Returns:
  0 on success, -1 on error

Definition at line 37 of file parseChangelog.c.

References alloca(), SKIPNONSPACE, and SKIPSPACE.

Referenced by addChangelog().